      subroutine fnormaligo(aa,l)
      IMPLICIT REAL*8(A-H,O-X,Z),logical*1(y)
      character(*) aa
      aa=adjustl(aa)
      l=len_trim(aa)
      call repl(aa,' =','=',yrepl)
      call repl(aa,'= ','=',yrepl)
      call maj(aa,l)
      call suppdb(aa,l)
      l=len_trim(aa)
      return
      end
